/*
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Eric Poirier <eric.poirier@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
*/

// Solstice alternate/eclipsecon Drupal styles
// These styles for our conference sites.

// Solstice drupal specific styles
@import "../eclipsecon2022/drupal.less";
@import "_variables.less";

.header-wrapper {
  background-color: #060606;
  background-repeat: no-repeat;
  background-position: top;
}

.view-solstice-slideshow {
  h2 {
    text-transform: none;
  }
  .solstice-slideshow-content, .solstice-slideshow-content::after {
    background: none;
  }
}

.header-inner-wrapper {
  position: inherit;
  margin-top: 0;
}

@media screen and (min-width: @screen-md-min) {
  .header-wrapper {
    height: auto;
    max-height: inherit;
    padding-top: 300px;
    background-size: inherit;
  }
}

@media screen and (max-width: @screen-sm-max) {
  .header-wrapper {
    height: inherit;
    max-height: inherit;
    min-height: 320px;
    padding-top: 115px;
  }
  .header-wrapper-img {
    display: none;
  }
}

@media screen and (max-width: @screen-xs-max) {
  .header-wrapper {
    background-image: none;
    background-position: top;
    background-size: 140%;
    min-height: auto;
    height: auto;
    max-height: inherit;
    overflow: auto;
    padding-top: 30px;
    padding-bottom: 30px;
    &::before, &::after{
      content: "";
      height: 216px;
      width: 100%;
      display: block;
      background-position: center;
      margin: 0px auto 0px;
      background-size: contain;
      background-repeat: no-repeat;
    }
    &::before{
      background-image: url('../../../images/conference/eclipsecon2023/header-bg-mobile-01.jpg');
    }
    &::after{
      background-image: url('../../../images/conference/eclipsecon2023/header-bg-mobile-02.jpg');
    }

  }

  .header-inner-wrapper{
    margin-top: 0;
  }

  .view-solstice-slideshow {
    p {
      font-size: 25px;
      font-weight: bold;
    }
    .solstice-slideshow-content {
      text-align: center;
    }
  }

  .header-wrapper-img {
    display: none;
  }

  .es-cta-list h2 {
    font-size: 37px;
  }

}
